USN-6063-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6063-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6063-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6063-1
Related
Published
2023-05-09T21:51:19.582200Z
Modified
2023-05-09T21:51:19.582200Z
Summary
ceph vulnerabilities
Details

Mark Kirkwood discovered that Ceph incorrectly handled certain key lengths. An attacker could possibly use this issue to create non-random encryption keys. This issue only affected Ubuntu 18.04 LTS and Ubuntu 20.04 LTS. (CVE-2021-3979)

It was discovered that Ceph incorrectly handled the volumes plugin. An attacker could possibly use this issue to obtain access to any share. This issue only affected Ubuntu 20.04 LTS, Ubuntu 22.04 LTS, and Ubuntu 22.10. (CVE-2022-0670)

It was discovered that Ceph incorrectly handled crash dumps. A local attacker could possibly use this issue to escalate privileges to root. This issue only affected Ubuntu 20.04 LTS, Ubuntu 22.04 LTS, and Ubuntu 22.10. (CVE-2022-3650)

It was discovered that Ceph incorrectly handled URL processing on RGW backends. An attacker could possibly use this issue to cause RGW to crash, leading to a denial of service. This issue only affected Ubuntu 22.04 LTS and Ubuntu 22.10. (CVE-2022-3854)

References

Affected packages

Ubuntu:22.04:LTS / ceph

Package

Name
ceph

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
17.2.5-0ubuntu0.22.04.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libsqlite3-mod-ceph-dev": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mgr-dashboard": "17.2.5-0ubuntu0.22.04.3",
            "python3-cephfs": "17.2.5-0ubuntu0.22.04.3",
            "ceph-osd": "17.2.5-0ubuntu0.22.04.3",
            "librados-dev": "17.2.5-0ubuntu0.22.04.3",
            "libradosstriper-dev": "17.2.5-0ubuntu0.22.04.3",
            "ceph-fuse": "17.2.5-0ubuntu0.22.04.3",
            "crimson-osd": "17.2.5-0ubuntu0.22.04.3",
            "python3-ceph-argparse": "17.2.5-0ubuntu0.22.04.3",
            "python3-ceph": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mds": "17.2.5-0ubuntu0.22.04.3",
            "librgw2": "17.2.5-0ubuntu0.22.04.3",
            "librados2": "17.2.5-0ubuntu0.22.04.3",
            "libradospp-dev": "17.2.5-0ubuntu0.22.04.3",
            "ceph": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mon": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mgr-cephadm": "17.2.5-0ubuntu0.22.04.3",
            "rbd-nbd": "17.2.5-0ubuntu0.22.04.3",
            "python3-rgw": "17.2.5-0ubuntu0.22.04.3",
            "rados-objclass-dev": "17.2.5-0ubuntu0.22.04.3",
            "librbd-dev": "17.2.5-0ubuntu0.22.04.3",
            "cephadm": "17.2.5-0ubuntu0.22.04.3",
            "ceph-immutable-object-cache": "17.2.5-0ubuntu0.22.04.3",
            "python3-ceph-common": "17.2.5-0ubuntu0.22.04.3",
            "rbd-mirror": "17.2.5-0ubuntu0.22.04.3",
            "ceph-resource-agents": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mgr": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mgr-modules-core": "17.2.5-0ubuntu0.22.04.3",
            "libcephfs-dev": "17.2.5-0ubuntu0.22.04.3",
            "python3-rados": "17.2.5-0ubuntu0.22.04.3",
            "ceph-volume": "17.2.5-0ubuntu0.22.04.3",
            "librbd1": "17.2.5-0ubuntu0.22.04.3",
            "ceph-common": "17.2.5-0ubuntu0.22.04.3",
            "python3-rbd": "17.2.5-0ubuntu0.22.04.3",
            "libcephfs2": "17.2.5-0ubuntu0.22.04.3",
            "ceph-grafana-dashboards": "17.2.5-0ubuntu0.22.04.3",
            "cephfs-shell": "17.2.5-0ubuntu0.22.04.3",
            "rbd-fuse": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mgr-diskprediction-local": "17.2.5-0ubuntu0.22.04.3",
            "libcephfs-java": "17.2.5-0ubuntu0.22.04.3",
            "ceph-base": "17.2.5-0ubuntu0.22.04.3",
            "librgw-dev": "17.2.5-0ubuntu0.22.04.3",
            "ceph-prometheus-alerts": "17.2.5-0ubuntu0.22.04.3",
            "radosgw": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mgr-rook": "17.2.5-0ubuntu0.22.04.3",
            "libcephfs-jni": "17.2.5-0ubuntu0.22.04.3",
            "libradosstriper1": "17.2.5-0ubuntu0.22.04.3",
            "libsqlite3-mod-ceph": "17.2.5-0ubuntu0.22.04.3",
            "ceph-mgr-k8sevents": "17.2.5-0ubuntu0.22.04.3"
        }
    ]
}

Ubuntu:20.04:LTS / ceph

Package

Name
ceph

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
15.2.17-0ubuntu0.20.04.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-cephfs": "15.2.17-0ubuntu0.20.04.3",
            "ceph-osd": "15.2.17-0ubuntu0.20.04.3",
            "librados-dev": "15.2.17-0ubuntu0.20.04.3",
            "libradosstriper-dev": "15.2.17-0ubuntu0.20.04.3",
            "ceph-fuse": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mds": "15.2.17-0ubuntu0.20.04.3",
            "python3-ceph": "15.2.17-0ubuntu0.20.04.3",
            "python3-ceph-argparse": "15.2.17-0ubuntu0.20.04.3",
            "librgw2": "15.2.17-0ubuntu0.20.04.3",
            "librados2": "15.2.17-0ubuntu0.20.04.3",
            "libradospp-dev": "15.2.17-0ubuntu0.20.04.3",
            "ceph": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mon": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr-cephadm": "15.2.17-0ubuntu0.20.04.3",
            "rbd-nbd": "15.2.17-0ubuntu0.20.04.3",
            "python3-rgw": "15.2.17-0ubuntu0.20.04.3",
            "librbd-dev": "15.2.17-0ubuntu0.20.04.3",
            "rados-objclass-dev": "15.2.17-0ubuntu0.20.04.3",
            "cephadm": "15.2.17-0ubuntu0.20.04.3",
            "ceph-immutable-object-cache": "15.2.17-0ubuntu0.20.04.3",
            "python3-ceph-common": "15.2.17-0ubuntu0.20.04.3",
            "rbd-mirror": "15.2.17-0ubuntu0.20.04.3",
            "ceph-resource-agents": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr-modules-core": "15.2.17-0ubuntu0.20.04.3",
            "libcephfs-dev": "15.2.17-0ubuntu0.20.04.3",
            "python3-rados": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr-diskprediction-cloud": "15.2.17-0ubuntu0.20.04.3",
            "librbd1": "15.2.17-0ubuntu0.20.04.3",
            "ceph-common": "15.2.17-0ubuntu0.20.04.3",
            "python3-rbd": "15.2.17-0ubuntu0.20.04.3",
            "libcephfs2": "15.2.17-0ubuntu0.20.04.3",
            "cephfs-shell": "15.2.17-0ubuntu0.20.04.3",
            "rbd-fuse": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr-diskprediction-local": "15.2.17-0ubuntu0.20.04.3",
            "libcephfs-java": "15.2.17-0ubuntu0.20.04.3",
            "ceph-base": "15.2.17-0ubuntu0.20.04.3",
            "librgw-dev": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr-rook": "15.2.17-0ubuntu0.20.04.3",
            "radosgw": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr-dashboard": "15.2.17-0ubuntu0.20.04.3",
            "libradosstriper1": "15.2.17-0ubuntu0.20.04.3",
            "libcephfs-jni": "15.2.17-0ubuntu0.20.04.3",
            "ceph-mgr-k8sevents": "15.2.17-0ubuntu0.20.04.3"
        }
    ]
}

Ubuntu:18.04:LTS / ceph

Package

Name
ceph

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
12.2.13-0ubuntu0.18.04.11

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-cephfs": "12.2.13-0ubuntu0.18.04.11",
            "ceph-osd": "12.2.13-0ubuntu0.18.04.11",
            "python-rgw": "12.2.13-0ubuntu0.18.04.11",
            "librados-dev": "12.2.13-0ubuntu0.18.04.11",
            "libradosstriper-dev": "12.2.13-0ubuntu0.18.04.11",
            "ceph-fuse": "12.2.13-0ubuntu0.18.04.11",
            "librgw2": "12.2.13-0ubuntu0.18.04.11",
            "ceph-mds": "12.2.13-0ubuntu0.18.04.11",
            "python3-ceph-argparse": "12.2.13-0ubuntu0.18.04.11",
            "librados2": "12.2.13-0ubuntu0.18.04.11",
            "ceph": "12.2.13-0ubuntu0.18.04.11",
            "ceph-mon": "12.2.13-0ubuntu0.18.04.11",
            "rbd-nbd": "12.2.13-0ubuntu0.18.04.11",
            "python3-rgw": "12.2.13-0ubuntu0.18.04.11",
            "librbd-dev": "12.2.13-0ubuntu0.18.04.11",
            "python-cephfs": "12.2.13-0ubuntu0.18.04.11",
            "rados-objclass-dev": "12.2.13-0ubuntu0.18.04.11",
            "rbd-mirror": "12.2.13-0ubuntu0.18.04.11",
            "ceph-resource-agents": "12.2.13-0ubuntu0.18.04.11",
            "ceph-mgr": "12.2.13-0ubuntu0.18.04.11",
            "libcephfs-dev": "12.2.13-0ubuntu0.18.04.11",
            "python3-rados": "12.2.13-0ubuntu0.18.04.11",
            "librbd1": "12.2.13-0ubuntu0.18.04.11",
            "python-ceph": "12.2.13-0ubuntu0.18.04.11",
            "ceph-common": "12.2.13-0ubuntu0.18.04.11",
            "python3-rbd": "12.2.13-0ubuntu0.18.04.11",
            "python-rbd": "12.2.13-0ubuntu0.18.04.11",
            "libcephfs2": "12.2.13-0ubuntu0.18.04.11",
            "rbd-fuse": "12.2.13-0ubuntu0.18.04.11",
            "libcephfs-java": "12.2.13-0ubuntu0.18.04.11",
            "ceph-test": "12.2.13-0ubuntu0.18.04.11",
            "python-rados": "12.2.13-0ubuntu0.18.04.11",
            "librgw-dev": "12.2.13-0ubuntu0.18.04.11",
            "ceph-base": "12.2.13-0ubuntu0.18.04.11",
            "radosgw": "12.2.13-0ubuntu0.18.04.11",
            "libcephfs-jni": "12.2.13-0ubuntu0.18.04.11",
            "libradosstriper1": "12.2.13-0ubuntu0.18.04.11"
        }
    ]
}